Bug 100555 - RFE: Fix handling of already active interfaces
RFE: Fix handling of already active interfaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 08:24 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: dhcp-3.0.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-10 10:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-07-23 08:24:35 EDT
Description of problem:

When dhcpcd starts up it unconditionally drops the interface it is configuring.
This breaks NFSroot Red Hat setups and also situatuons where you want to use
DHCP to acquire a link local address but have a fixed alias address

How reproducible:
100%

Steps to Reproduce:
1. ifconfig eth0 1.2.3.4 up
2. ifup eth0
3. observe the link goes down then up
    
Actual results:

Link is dropped, in the NFS root case system dies totally

Expected results:

Old address is replaced atomically with new (possibly identical) address
Comment 1 Jason Vas Dias 2004-08-10 10:26:03 EDT
 This bug does not occur with dhcp-3.0.1 .
 The only time the dhclient-script brings down the interface
 is if the lease is being RENEW'd (state != REBOOT) and 
 the new ip address obtained is not equal to the old ip address.
 If the interface was active before dhclient is run, it remains
 active throughout the DHCP negotiation and setting of new
 interface parameters.
Comment 2 John Flanagan 2004-12-21 14:42:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.